کلید کا جائزہ
| کلید کا نسخہ | V4 |
|---|---|
| تصریح | RFC 2440 · RFC 4880 · RFC 9580 |
| حیثیت | مطابقت رکھتا ہے، مگر RFC 9580 نے اسے ترک کرنے کی سفارش کی ہے |
| بنیادی کلید (توثیق، دستخط) | ECDSA secp256k1 · ID 19 · SHA-256 |
| ذیلی خفیہ کاری کلید | ECDH NIST P-256 · ID 18 |
| فنگر پرنٹ | E060726BC7DBB56FDF7753749EF00F97D46EF942 |
| نجی کلید کا پاس فریز | synthetic-key-password |
الگورتھم اور استعمال
ECDSA secp256k1: secp256k1 پر بیضوی منحنی دستخط، وہ منحنی جو Bitcoin سے معروف ہے۔ یہ RFC 9580 کی منحنی رجسٹری سے باہر ہے: GnuPG اس کی معاونت کرتا ہے، مگر Sequoia پر مبنی سافٹ ویئر، بشمول keys2 کلیدی سرور، اسے مسترد کرتا ہے۔ صرف ان نظاموں سے مطابقت کے لیے استعمال کریں جنہیں یہ منحنی درکار ہے۔
ECDH NIST P-256: بیضوی منحنی ڈفی–ہیلمین ذیلی خفیہ کاری کلید، اس منحنی پر: NIST P-256.
عوامی کلید
عوامی سرٹیفکیٹ جس میں بنیادی کلید، ذیلی خفیہ کاری کلید اور ان کے باہمی ربط کے دستخط شامل ہیں۔ دستخطوں کی تصدیق یا اس ٹیسٹ شناخت کے لیے خفیہ کاری کرنے کی خاطر اسے امپورٹ کریں۔
ڈاؤن لوڈ ← 729 بائٹس
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BzStDSC1KIG1hdHJpeCAy
NC12NC1lY2RzYS1zZWNwMjU2azErZWNkaC1wMjU2wowEExMIADQFAmr3hRkWIQTg
YHJrx9u1b993U3Se8A+X1G75QgIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEJ7w
D5fUbvlCGJABANI8j8owo0txl4g9tpZhOhdHHFzz0pSEzw5CNIaS5AaVAP4xfEjJ
tTglTIMbpA6DI0+kji/iQnKYiOp3Qr9CMPdfd85WBGr3hRkSCCqGSM49AwEHAgME
3MN8L40E2ij4iQkPrgyDHAqkaDw9whA7wgkVqGyLdQIPcL0EnkrnI/wcNyaoMiry
ZVy7v4pNN07aAIdp55ytowMBCAfCeAQYEwgAIAUCaveFGRYhBOBgcmvH27Vv33dT
dJ7wD5fUbvlCAhsMAAoJEJ7wD5fUbvlCu9YBAKbWWh8+WzankHgF3ulBFevOzy1o
ongUd4eutsTfqT6vAP4s7QQTTq5BHbTdJyzO45C6eAUS0hcCZABpqp/fQiiorg==
=SvoQ
-----END PGP PUBLIC KEY BLOCK-----
نجی کلید
نجی کلید، جسے اوپر دکھائے گئے پاس فریز سے محفوظ کیا گیا ہے۔ صرف جانچ کے لیے شائع کی گئی ہے: کوئی بھی اسے استعمال کر سکتا ہے۔
ڈاؤن لوڈ ← 955 بائٹس
دکھائیں
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaIEaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2B/gkDCKkuw9HKHsAe4FVk
IkiB4nO4HwpV7MrbrxF8zaj4G+c7JRbgIFYSJtV9Cg+0qpW/UAwTWlPi8YXlW+q3
2FI49b4ufLcELD+V3McpFYS4bxjNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNl
Y3AyNTZrMStlY2RoLXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7w
D5fUbvlCAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyP
yjCjS3GXiD22lmE6F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SO
L+JCcpiI6ndCv0Iw9193x6kEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+u
DIMcCqRoPD3CEDvCCRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nn
nK2jAwEIB/4JAwjneAEVHacoqOCS7QG4BsCikL2tcagHHq9zXC4WEagXy8A7ZTKJ
LRTxhtAMUWa85RU1WvhLSlMNiuUQjkXjHEI5I87pWbE7L0YjHtmGpDtdwngEGBMI
ACAFAmr3hRkWIQTgYHJrx9u1b993U3Se8A+X1G75QgIbDAAKCRCe8A+X1G75QrvW
AQCm1lofPls2p5B4Bd7pQRXrzs8taKJ4FHeHrrbE36k+rwD+LO0EE06uQR203Scs
zuOQungFEtIXAmQAaaqf30IoqK4=
=mNF1
-----END PGP PRIVATE KEY BLOCK-----
تنسیخی سرٹیفکیٹ
پہلے سے تیار کردہ تنسیخی سرٹیفکیٹ۔ اسے امپورٹ کرنے سے کلید منسوخ نشان زد ہو جاتی ہے؛ اسے اس لیے شائع کیا گیا ہے کہ آپ منسوخ کلیدوں کے ساتھ سافٹ ویئر کا برتاؤ جانچ سکیں۔
ڈاؤن لوڈ ← 888 بائٹس
دکھائیں
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BwnUEIBMIAB0FAmr3hRkW
IQTgYHJrx9u1b993U3Se8A+X1G75QgAKCRCe8A+X1G75QoBhAP9Ncgf9U9MHZ9YN
XnRwGpB1lC0npRle8kPuWWdGUqCFcQD/awiSMYB7tVdVR4e8qKTJ9TGAI2/IobMF
hVWiXCpuoQrNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNlY3AyNTZrMStlY2Ro
LXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7wD5fUbvlCAhsDAh4B
AwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyPyjCjS3GXiD22lmE6
F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SOL+JCcpiI6ndCv0Iw
9193zlYEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+uDIMcCqRoPD3CEDvC
CRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nnnK2jAwEIB8J4BBgT
CAAgBQJq94UZFiEE4GBya8fbtW/fd1N0nvAPl9Ru+UICGwwACgkQnvAPl9Ru+UK7
1gEAptZaHz5bNqeQeAXe6UEV687PLWiieBR3h662xN+pPq8A/iztBBNOrkEdtN0n
LM7jkLp4BRLSFwJkAGmqn99CKKiu
=6HTy
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin کا دستخط
CH-J Tools میں اس کلید سے بنایا گیا test_1MB.bin کا علیحدہ ASCII-armored دستخط۔ اسے test_1MB.bin.asc کے نام سے ٹیسٹ فائل کے ساتھ محفوظ کریں۔
ڈاؤن لوڈ ← 228 بائٹس
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQTgYHJrx9u1b993U3Se8A+X1G75QgUCaveO8gAKCRCe8A+X1G75
Qk/DAQCytQBaDvoMZd721uHplsmUhd2MXW937g2x9cRB0TsAngD+OD6A8zsSTCfO
kqQU+O6wL5NugSX6uLWmQKQ7ohzOkd4=
=bsx5
-----END PGP SIGNATURE-----
دستخط کی تصدیق کریں
نسخہ 4 کی کلیدیں GnuPG اور sqop یا rsop جیسے SOP ٹولز کے ساتھ کام کرتی ہیں، بشرطیکہ الگورتھم کی معاونت ہو۔ عارضی GNUPGHOME استعمال کریں تاکہ ٹیسٹ کلید آپ کے اصل کی رنگ میں شامل نہ ہو:
gpg --import pgp-example-24-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin